com.mysql.cj.xdevapi

## Enum Type

- java.lang.Object
- - java.lang.Enum<Type>
  - - com.mysql.cj.xdevapi.Type

All Implemented Interfaces:
  Serializable, Comparable<Type>

    public enum Type
    extends Enum<Type>

Column type.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BIGINT`
`BIT`
`BYTES`
`DATE`
`DATETIME`
`DECIMAL`
`DOUBLE`
`ENUM`
`FLOAT`
`GEOMETRY`
`INT`
`JSON`
`MEDIUMINT`
`SET`
`SMALLINT`
`STRING`
`TIME`
`TIMESTAMP`
`TINYINT`

### Method Summary

All Methods Static Methods Concrete Methods
`static Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BIT

    public static final Type BIT

#### TINYINT

    public static final Type TINYINT

#### SMALLINT

    public static final Type SMALLINT

#### MEDIUMINT

    public static final Type MEDIUMINT

#### INT

    public static final Type INT

#### BIGINT

    public static final Type BIGINT

#### FLOAT

    public static final Type FLOAT

#### DECIMAL

    public static final Type DECIMAL

#### DOUBLE

    public static final Type DOUBLE

#### JSON

    public static final Type JSON

#### STRING

    public static final Type STRING

#### BYTES

    public static final Type BYTES

#### TIME

    public static final Type TIME

#### DATE

    public static final Type DATE

#### DATETIME

    public static final Type DATETIME

#### TIMESTAMP

    public static final Type TIMESTAMP

#### SET

    public static final Type SET

#### ENUM

    public static final Type ENUM

#### GEOMETRY

    public static final Type GEOMETRY

### Method Detail

#### values

    public static Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Type c : Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Type valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

Copyright © 2016, 2024, Oracle and/or its affiliates.